Subject: Re: bug#34476: fluffy whitespace in the mode-line, despite it running off the screen

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Aug 2020 16:52:48 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 07 Aug 2020 14:15:21 +0200
> 
> So nothing is displayed until that call to display_string, in my reading
> of the code.

Nitpicking: display_string doesn't display anything, it just prepares
glyph structures used by other code to actually display the mode line
on the glass.

> OK, I've now done some more testing -- I removed my call to
> display_string, and no mode line is displayed at all, which kinda
> supports my reading of the code?

I don't want to argue with your reading of the code.  I'm saying that
the natural way of removing extra spaces is to post-process the glyphs
produced by display_string directly; anything else is IMO inelegant
and unnatural.